body {
    font-family: Arial, sans-serif;
    font-size: 14px;    
    background: #eee;
    text-align: left;    
}

/* MAIN STRUCTURE */
body > div#treewec {
    position: fixed;
    top: 0;
    left: 0;
    background: #323;
    width: 10px;
    padding: 5px;
    height: 97%;
    overflow: auto;
    border-right: 1px solid #111;
    color: #ddc;
    z-index: 1000;
}
body > div#content {
    margin: 1em 1em 1em 40px;
    max-width: 900px;
    width: 80%;
    line-height: 1.3em;
}
body > figure {        
    border-bottom: 1px solid #111;    
    padding: 1ex 0 1ex 40px;
}

/* MESSAGE SECTION - succes, failure session messages */
body > figure > span {
    display: block;    
    color: #fff;
}
body > figure.hidden {    
    display: hidden;
    border: 0;
}
body > figure.success {    
    background: #3c0;
}
body > figure.failure {
    background: #f00;    
}

/* TREEWEC MENU */
/** Hover */
div#treewec:hover {
    width: auto;
    padding: 1% 10px;
}
div#treewec > nav, div#treewec:hover > figure  {
    display: none;
}
div#treewec:hover > nav, div#treewec > figure {
    display: block;
}
/** Figure */
div#treewec > figure {
    text-align: center;
    text-transform: uppercase;
}
/** Navigation */
body > div#treewec > nav {    
    line-height: 1.5em;
    text-align: right;    
}
div#treewec > nav > strong, div#treewec > nav > em {  
    display: block;    
}
div#treewec > nav > strong:first-child {
    margin: 0;
    color: #fff;    
    font-weight: 700;
    font-size: 1.6em;
}
div#treewec > nav > strong {    
    color: #a98;
    font-size: 1.2em;    
    margin: 1em 0 0 0;
}
div#treewec > nav > em {    
    text-transform: uppercase;
    color: #a98;
    font-size: 0.9em;
}
div#treewec > nav > em > span{    
    color: #c00;
    font-weight: 700;
}
div#treewec > nav a {    
    font-weight: 700;
    color: #ddc
}
div#treewec > nav a:hover, div#treewec > nav a:focus {    
    color: #606;
    background: #ddc;
}
/** Languages */
div#treewec > nav ul.language-chooser li {    
    font-weight: 700;
}
div#treewec > nav ul.language-chooser li a {        
    font-weight: 300;
    opacity: 0.6;
}
div#treewec > nav ul.language-chooser li a:hover {
    opacity: 1;
}


/* MAIN CONTENT */
/** Links */
div#content a {    
    color: #606;
}
div#content a:hover, div#content a:focus, 
div#content table.pages th a:hover, div#content table.pages th a:focus, 
div#content ul.content a:hover, div#content ul.content a:focus {    
    background: #fff;
    color: #909;
}
/** Text elements */
div#content p {
    margin-bottom: 1ex;
}
div#content strong, div#content em {    
    color: #323;
}
div#content strong {
    font-weight: 700;
}
div#content em {
    font-style: italic;
}
/** Headings */
div#content h1, div#content h2, div#content h3 {
    font-weight: 700;    
    text-transform: uppercase;
}
div#content h1 {
    font-size: 1.6em;    
    color: #606;    
    margin: 0 0 1ex 0;
}
div#content h2 {
    font-size: 1.2em;
    color: #111;
    margin: 1em 0 1ex 0;
}
div#content h3 {
    font-size: 1.1em;
    color: #111;
    margin: 1em 0 1ex 0;
}
/** Lists */
div#content ul, div#content ol {
    margin: 1ex;
    color: #a98;
    line-height: 1.5em;
}
div#content ul > li {
    list-style-type: square;
}
div#content ol > li {
    list-style-type: decimal;
}
div#content ul > li img, div#content ol > li img {
    vertical-align: middle;
}
div#content ul > li > span, div#content ol > li > span {
    color: #000;
}
div#content ul.content, div#content table.form ul, div#content form ul {    
    margin: 0 1ex;
}
div#content ul.content a {
    color: #a98;
}
/*** Navigation in file module */
div#content nav > ul > li {
    display: inline-block;
    margin: 0 1ex 1ex 0;
    font-size: 0.9em
}
div#content nav > ul > li a {
    display: inline;
    padding: 0.5ex 1ex;
    background: #fff;
    border: 1px solid #557;
    border-radius: 5px;
}
div#content nav > ul > li a.selected, div#content nav > ul > li a:hover {
    background: #557;
    color: #fff;
    border-color: #111;
}
/*** Form errors */
div#content aside.errors {
    border-left: 1px solid #c00;
    margin: 1em 0;
    padding: 1ex;
}
div#content aside.errors > h2, div#content aside.errors > ul > li {
    color: #c00;
    margin: 0;
    text-transform: none;
}
div#content aside.errors > ul > li > span {    
    color: #111;
}
/** Abbrevations */
div#content abbr {
    border-bottom: 1px dotted #a98;
}
div#content abbr:hover {
    border-bottom: 1px solid #a98;
    color: #557;
    cursor: help;
}
/** Toogle divs */
div#content div[class^="toogle"]  {
    display:none;
}
div#content div[class^="toogle"][id^="displayed"] {
    display:block;
}
/** Tables */
div#content table {    
    width: 100%;
    margin: 1em 0;
}
div#content table td, div#content table th {
    padding: 1ex;
    vertical-align: middle;
    text-align: center;
}
div#content table td.leftAlign, div#content table th.leftAlign {    
    text-align: left;
}
/*** Default formatted table */
div#content table.default {
    border: 1px solid #ddc; 
    border-bottom: 0;
}
div#content table.default td, div#content table.default th {
    border-bottom: 1px solid #ddc;
}
div#content table.default th, div#content table.audit thead td {
    background: #557;
    color: #ddc;
}
div#content table.default td, div#content table.audit tbody th {    
    background: #fff;    
    color: #323;
}
div#content table.default tr:hover td, div#content table.audit tbody tr:hover th {
    background: #ff6
}
/*** Audit table */
div#content table.audit tbody td {    
    width: 20%;
}
div#content table.audit tbody th {    
    width: 40%;
}
div#content table.audit tbody td.yes {
    color: #3c0;
    background: #3c0;
}
div#content table.audit tbody td.no {
    color: #f00;
    background: #f00;
}
/*** Pages table */
div#content table.pages th {    
    text-align: left;
}
div#content table.pages th:first-child, div#content table.pages th:last-child {    
    text-align: center;
}
/**** Bulk actions */
div#content table.pages td:first-child {
    width: 20px;
    background: #ddd;
}
/**** Page */
div#content table.pages td.page {
    padding-left: 0;
    font-weight: bold;
    text-align: left;
    width: 50%;
}
div#content table.pages td.page span {
    color: #ddc;
    font-weight: normal;
}
div#content table.pages td.page img {    
    margin: 0 1ex;
    vertical-align: middle;
    padding: 0;
}
/**** Actions and infos */
div#content table.pages th a {    
    display: inline-block;
    margin: 0 1em;
    color: #ddc;
}
div#content table.pages td a {
    display: inline-block;
    text-align: center;
    width: 19%;
}
div#content table.pages td a.dir {
    display: inline;
    width: auto;
}
/*** Form table */
div#content table.form td, div#content table.form th {    
    background: transparent;
}
div#content table.form th {
    font-weight: bold;
    text-align: right;
    width: 40%;
}
div#content table.form td input, div#content table.form td select {    
    width: 95%;
}
div#content table.form td select {    
    width: 98%;
}
div#content table.form td input[type="checkbox"], div#content table.form td input[type="radio"] {    
    width: 20px;
    float: left;
}
div#content table.form td[colspan="3"] {    
    text-align: right;
    font-size: 0.9em;
    color: #c00;
}
div#content table.form td.help {    
    width: 10px;
    color: #a98;
}
div#content table.form td.help:hover {        
    color: #c00;
    cursor: help;
}
div#content table.form td.help:after {        
    content: '?';    
}
/**** Ordering files */
div#content table.order tr:hover td {
    background: #fff;
}
div#content table.order td {
    width: 50%;
    vertical-align: top;
}
div#content table.order ul {
    background: #eee;
    min-height: 30px;
    padding: 3px 0;
    text-align: center;
}
div#content table.order ul > li {
    list-style-type: none;
    width: 94%;
    margin: 1ex 0 1ex 3%;
    border: 1px solid #557;
    color: #fff;
    padding: 3px 0;
}
div#content table.order ul > li:hover {
    cursor: pointer;
}
div#content table.order ul#currentOrder li.ok, div#content table.order ul#currentOrder li.missing {
    background: #3c0;
}
div#content table.order ul#deletedOrder li.ok, div#content table.order ul#deletedOrder li.missing {
    background: #999;
}
div#content table.order ul#currentOrder li.invalid, div#content table.order ul#deletedOrder li.invalid {
    background: #f00;
}

/* Forms */
div#content form {
    margin: 1em 0;
}
div#content form fieldset {
    border-top: 1px solid #ccc;
    margin: 1em 0;    
}
div#content form fieldset > legend {
    color: #ccc;    
    text-transform: uppercase;
    font-size: 0.8em;
    padding: 0 1ex;
}
div#content form input, div#content form select, div#content button {    
    border: 1px solid #ddc;
    background: #fff;
    padding: 1ex;
}
div#content form input[type="submit"], div#content button {
    background: #ddd;
    text-transform: uppercase;
    width: 100%;
}
div#content form input[type="submit"]:hover, div#content button:hover {
    cursor: pointer;
    background: #fff;
    border: 1px solid #606;
    color: #606;
}
div#content form select option[value] {            
    background: #eee;
    color: #111;
}
div#content form select option[selected="true"] {            
    background: #fff;
    color: #606;
}
/** Editing files and folders */
body div#content > textarea {
    width: 97%;
    border: 1px solid #ddc;
    box-shadow: #ddd 2px 2px 2px;    
    overflow: auto;
    padding: 1%;
    min-height: 500px;
}
/** Code */
body > div#content code {
    display: block;
    overflow: auto;
    margin: 1em;
    padding: 1ex;
    background: #fff;
    border: 1px dotted #a98;    
    font-size: 0.9em;
    font-family: "Courier New", Courier, monospace;
    color: #000;
    white-space: pre;    
}

/** Tooltip */
.wTooltip {
    background: #557;
    color: #fff;
    border: 1px solid #323;
    border-radius: 5px;
    padding: 1ex;
}

